Embed content (Gemini format)

Creates embeddings using Google Gemini API format.

POST
/genai/v1beta/models/{model}:embedContent
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Path Parameters

modelstring

Model name with action (e.g., embedding-001:embedContent)

model?string
content?GeminiContent
taskType?string
title?string
outputDimensionality?integer

Response Body

curl -X POST "https://loading/{AI_GATEWAY_URL}/genai/v1beta/models/string:embedContent" \  -H "Content-Type: application/json" \  -d '{}'
{
  "embeddings": [
    {
      "values": [
        0
      ],
      "statistics": {
        "tokenCount": 0
      }
    }
  ],
  "metadata": {
    "billableCharacterCount": 0
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "status": "string",
    "details": [
      {
        "@type": "string",
        "fieldViolations": [
          {
            "description": "string"
          }
        ]
      }
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "status": "string",
    "details": [
      {
        "@type": "string",
        "fieldViolations": [
          {
            "description": "string"
          }
        ]
      }
    ]
  }
}
On this page

On this page

No Headings